## com.lowagie.text.pdf
Class BadPdfFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.lowagie.text.DocumentException
                  com.lowagie.text.pdf.PdfException
                      com.lowagie.text.pdf.BadPdfFormatException

All Implemented Interfaces:
  java.io.Serializable

    public class BadPdfFormatException

extends PdfException

Signals that a bad PDF format has been used to construct a `PdfObject`.

See Also:
  `PdfException`, `PdfBoolean`, `PdfNumber`, `PdfString`, `PdfName`, `PdfDictionary`, Serialized Form

Field Summary
`private static long` `serialVersionUID`

Constructor Summary
`BadPdfFormatException()` Constructs a `BadPdfFormatException` without a message.
`BadPdfFormatException(java.lang.String message)` Constructs a `BadPdfFormatException` with a message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### BadPdfFormatException

    BadPdfFormatException()

  Constructs a `BadPdfFormatException` without a message.

### BadPdfFormatException

    BadPdfFormatException(java.lang.String message)

  Constructs a `BadPdfFormatException` with a message.

  Parameters:
    `message` - a message describing the exception

Hosted by Hostbasket